Bug 678202 - Missing flag on 64bit architectures causes errors when parsing GRIB files
Summary: Missing flag on 64bit architectures causes errors when parsing GRIB files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: g2clib
Version: el6
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-17 05:29 UTC by Chris Edsall
Modified: 2011-03-17 17:04 UTC (History)
2 users (show)

Fixed In Version: g2clib-1.2.1-3.el4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-25 08:21:16 UTC


Attachments (Terms of Use)
patch adding flag to .spec file for 64bit arch's. Only tested on x86_64 (337 bytes, patch)
2011-02-17 05:29 UTC, Chris Edsall
no flags Details | Diff

Description Chris Edsall 2011-02-17 05:29:42 UTC
Created attachment 479265 [details]
patch adding flag to .spec file for 64bit arch's. Only tested on x86_64

Description of problem:

The library is missing the flag  -D__64BIT__ which should be included when compiling on 64bit architectures

Version-Release number of selected component (if applicable):

all to current g2clib-1.2.1-1.el6

How reproducible:

Always

Steps to Reproduce:
1. Be running a 64 bit platform
2. Use an application linked against g2clib  
3. Open a GRIB file
  
Actual results:

[edsall@fc-1 ncl]$ ncl
 Copyright (C) 1995-2010 - All Rights Reserved
 University Corporation for Atmospheric Research
 NCAR Command Language Version 5.2.0
 The use of this software is governed by a License Agreement.
 See http://www.ncl.ucar.edu/ for more details.
ncl 0> f = addfile("gep20_t12z_pgrb2af372_2_2010081112.grb","r")
fatal:NclGRIB2: Invalid Product Definition Template.
fatal:Could not open (gep20_t12z_pgrb2af372_2_2010081112.grb)


Expected results:

[edsall@fc-2 ncl]$ ncl
 Copyright (C) 1995-2010 - All Rights Reserved
 University Corporation for Atmospheric Research
 NCAR Command Language Version 5.2.0
 The use of this software is governed by a License Agreement.
 See http://www.ncl.ucar.edu/ for more details.
ncl 0> f = addfile("gep20_t12z_pgrb2af372_2_2010081112.grb","r")
ncl 1> 


Additional info:

After adding the flag, rebuilding g2clib and rebuilding NCL the problem  was resolved.

See the thread titled "NCEP Grib Conversion problem with NCL 5.2.0." on the ncl-talk mailing list
    http://www.ncl.ucar.edu/Support/talk_archives/2011

Comment 1 Orion Poplawski 2011-02-17 17:07:04 UTC
Yowza, I guess nobody has been using these packages on  64-bit.  I am getting the following warning on x86_64 with __64BIT__ set that I would like to resolve as well:

g2_info.c:181:12: warning: format '%ld' expects argument of type 'long int', but argument 2 has type 'g2int' [-Wformat]
g2_getfld.c:352:11: warning: format '%ld' expects argument of type 'long int', but argument 2 has type 'g2int' [-Wformat]
g2_getfld.c:544:7: warning: format '%ld' expects argument of type 'long int', but argument 2 has type 'g2int' [-Wformat]
g2_getfld.c:545:7: warning: format '%ld' expects argument of type 'long int', but argument 2 has type 'g2int' [-Wformat]
g2_addlocal.c:105:11: warning: format '%ld' expects argument of type 'long int', but argument 2 has type 'g2int' [-Wformat]
g2_addlocal.c:106:11: warning: format '%ld' expects argument of type 'long int', but argument 2 has type 'g2int' [-Wformat]
g2_addlocal.c:116:9: warning: format '%ld' expects argument of type 'long int', but argument 2 has type 'g2int' [-Wformat]
g2_addgrid.c:128:11: warning: format '%ld' expects argument of type 'long int', but argument 2 has type 'g2int' [-Wformat]
g2_addgrid.c:129:11: warning: format '%ld' expects argument of type 'long int', but argument 2 has type 'g2int' [-Wformat]
g2_addfield.c:193:11: warning: format '%ld' expects argument of type 'long int', but argument 2 has type 'g2int' [-Wformat]
g2_addfield.c:194:11: warning: format '%ld' expects argument of type 'long int', but argument 2 has type 'g2int' [-Wformat]
g2_addfield.c:395:9: warning: format '%ld' expects argument of type 'long int', but argument 2 has type 'g2int' [-Wformat]
g2_gribend.c:100:9: warning: format '%ld' expects argument of type 'long int', but argument 2 has type 'g2int' [-Wformat]

in case they might cause other problems.

Comment 2 Fedora Update System 2011-02-17 18:53:38 UTC
g2clib-1.2.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/g2clib-1.2.1-3.el6

Comment 3 Fedora Update System 2011-02-17 18:53:45 UTC
g2clib-1.2.1-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/g2clib-1.2.1-3.el5

Comment 4 Fedora Update System 2011-02-17 18:53:51 UTC
g2clib-1.2.1-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/g2clib-1.2.1-3.fc15

Comment 5 Fedora Update System 2011-02-17 18:53:58 UTC
g2clib-1.2.1-3.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/g2clib-1.2.1-3.el4

Comment 6 Fedora Update System 2011-02-17 18:54:05 UTC
g2clib-1.2.1-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/g2clib-1.2.1-3.fc14

Comment 7 Fedora Update System 2011-02-17 18:54:12 UTC
g2clib-1.2.1-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/g2clib-1.2.1-3.fc13

Comment 8 Fedora Update System 2011-02-17 20:49:05 UTC
g2clib-1.2.1-3.el6 has been pushed to the Fedora EPEL 6 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update g2clib'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/g2clib-1.2.1-3.el6

Comment 9 Orion Poplawski 2011-02-18 18:29:55 UTC
Also, please test https://admin.fedoraproject.org/updates/ncl-5.2.1-6.el6

Comment 10 Fedora Update System 2011-02-25 08:21:11 UTC
g2clib-1.2.1-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-02-25 08:21:50 UTC
g2clib-1.2.1-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-03-03 03:32:38 UTC
g2clib-1.2.1-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Orion Poplawski 2011-03-14 19:37:36 UTC
Chris - would you please test and comment on the updates?  Thanks.

Comment 14 Chris Edsall 2011-03-17 02:19:55 UTC
Hi Orion,

Thanks for the prompt response. I don't have a RHLE6 or recent Fedora box handy to test with (I'll spin up a VM later). However I have tested with 

epel-testing Extra Packages for Enterprise Linux 5 - Testing - x86_64

[edsall@cli-ops ncl]$ rpm -q redhat-release-5Server ncl ncl-common
redhat-release-5Server-5.5.0.2
ncl-5.1.1-4.el5
ncl-common-5.1.1-4.el5

And it works perfectly:

[edsall@cli-ops ncl]$ ncl
 Copyright (C) 1995-2009 - All Rights Reserved
 University Corporation for Atmospheric Research
 NCAR Command Language Version 5.1.1
 The use of this software is governed by a License Agreement.
 See http://www.ncl.ucar.edu/ for more details.
ncl 0> f = addfile("gep20_t12z_pgrb2af372_2_2010081112.grb","r")
ncl 1> 

Thanks.

Comment 15 Fedora Update System 2011-03-17 17:02:44 UTC
g2clib-1.2.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2011-03-17 17:03:22 UTC
g2clib-1.2.1-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2011-03-17 17:03:56 UTC
g2clib-1.2.1-3.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.